﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<style type="text/css">
    body {
        font-family: arial, helvetica, sans-serif;
        font-size: 11px;
    }

    h1 {
        font-size: 14px;
        margin-bottom: 1em;
    }

    #AvailableClasses, #CssClasses {
        width: 200px;
    }

    #btnAddClass, #btnClearClasses {
        margin: 0;
        padding: 0;
    }
</style>
<h1>CSS Extender - Tag: <<span id="CurrentTag"></span>></h1>
<br />
<select name="AvailableClasses" id="AvailableClasses" size="10" multiple="multiple"></select>
<input type="image" src="/admin/ControlPanel/images/iconbar_addmodule.gif" id="btnAddClass" /><br />
<input name="CssClasses" type="input" id="CssClasses" value="">
<input type="image" src="/images/delete.gif" id="btnClearClasses" /><br />
<input type="button" onclick="javascript:insertLink();" value="Save" />
<input type="button" onclick="javascript:cancel();" value="Cancel" />
<script type="text/javascript">
    if (window.attachEvent) {
        window.attachEvent("onload", initDialog);
    }
    else if (window.addEventListener) {
        window.addEventListener("load", initDialog, false);
    }

    var btn = null;

    function getRadWindow() {
        if (window.radWindow) {
            return window.radWindow;
        }
        if (window.frameElement && window.frameElement.radWindow) {
            return window.frameElement.radWindow;
        }
        return null;
    }

    function initDialog() {
        arguments = getRadWindow().ClientParameters; //return the arguments supplied from the parent page
        $("#CurrentTag").text($(arguments.elem).get(0).tagName);
        $("#CssClasses").val($(arguments.elem).attr("class"));

        $(arguments.classes).each(function (i, e) {
            var Option = "<option>" + e + "</option>";
            $("#AvailableClasses").append(Option);
        });

        $("#btnAddClass").click(function () { $("#AvailableClasses option:selected").each(function () { $("#CssClasses").val($("#CssClasses").val() + " " + $(this).val()); }) });
        $("#btnClearClasses").click(function () { $("#CssClasses").val(""); });
    }

    function insertLink() //fires when the Insert Link button is clicked
    {
        btn = $("#CssClasses").val();
        getRadWindow().close(btn); //use the close function of the getRadWindow to close the dialog and pass the arguments from the dialog to the callback function on the main page.
    }

    function cancel() {
        getRadWindow().close();
    }
</script>
