﻿<%@ Page Language="C#" AutoEventWireup="true"  %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
    <style>
        .class1 {color:red;}
        .link { background-color: blue;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server" />


        <telerik:RadEditor ID="RadEditor1" runat="server">
            <Tools>
                <telerik:EditorToolGroup>
                    <telerik:EditorTool Name="CSSExtender" />
                </telerik:EditorToolGroup>
            </Tools>
            <Content>
                <a href="https://www.telerik.com">Telerik URL</a> <strong>Bold text</strong>
            </Content>
        </telerik:RadEditor>
        <script>    

            /*************** CSS Chooser ******************/
            Telerik.Web.UI.Editor.CommandList["CSSExtender"] = function (commandName, editor, args) {
                {
                    arguments = new Object();
                    arguments.elem = editor.getSelectedElement();

                    var CssArray = editor.getCssArray();
                    var Classes = new Array();
                    $(CssArray).each(function (i, e) {
                        Classes.push(e[0]);
                    });

                    arguments.classes = Classes;

                    var myCallbackFunction = function (sender, args) {
                        var CssClasses = args;
                        $(editor.getSelectedElement()).removeClass();
                        $(editor.getSelectedElement()).addClass(CssClasses);
                    }

                    if ($(arguments.elem).get(0).tagName != "BODY") {
                        editor.showExternalDialog(
                            'CssExtender.aspx',
                            arguments,
                            280,
                            310,
                            myCallbackFunction,
                            null,
                            'CSS Class Chooser',
                            true,
                            Telerik.Web.UI.WindowBehaviors.Close + Telerik.Web.UI.WindowBehaviors.Move,
                            false,
                            false);
                    }
                    else {
                        alert("Please select an element first.");
                    }
                };
            };
        </script>

    </form>
</body>
</html>
